Name: jakarta-commons-daemon
Version: 1.0
Release: alt3

%def_enable check
%def_disable debug

Summary: Jakarta Commons Daemon component
Group: Development/Java
License: Apache
Url: http://jakarta.apache.org/commons/daemon/

%define pkgdocdir %_docdir/%name-%version

Source: http://www.apache.org/dist/jakarta/commons/daemon/source/daemon-%version.tar.bz2
Source1: %name-build.properties

Patch0: %name-1.0-default-jvm-location.patch

BuildPreReq: rpm-build-java
BuildRequires: j2se-devel ant
%if_enabled check
BuildRequires: ant ant-junit
%endif
AutoProv: yes, nolib

%description
The scope of this package is to define an API in line with the current
Java(tm) Platform APIs to support an alternative invocation mechanism
which could be used instead of the public static void main(String[])
method.  This specification cover the behavior and life cycle of what
we define as Java(tm) daemons, or, in other words, non interactive
Java(tm) applications.

%package -n jsvc
Summary: Native binary to run Java programs as daemons
Group: System/Servers
Requires: %name = %version-%release
Requires: j2se

%description -n jsvc
The jsvc binary is built as part of the Jakarta Commons Daemon package.
It facilitates running servers exporting the Java Daemon API.

%package javadoc
Summary: Javadoc for Jakarta Commons Daemon
Group: Development/Java

%description javadoc
Javadoc-generated API documentation for the Jakarta Commons Daemon component.

%package demo
Summary: Samples for Jakarta Commons Daemon
Group: Development/Java

%description demo
Samples for the Jakarta Commons Daemon component.

%prep
%setup -q -n daemon-%version
%patch0 -p1
%__cp %{SOURCE1} build.properties

%build
%ant_build -Dsite.lib.dir=%_javadir \
%if_enabled debug
    -Dcompile.optimize=false \
%else
    -Dcompile.debug=false \
%endif
    dist
%if_enabled check
%ant_build test
%endif

cd src/native/unix
%configure --with-java=%_libdir/j2se
%make_build
cd -

%install
%__mkdir_p %buildroot%_javadir
%__install -p -m644 dist/commons-daemon.jar %buildroot%_javadir/%name.jar

%__install -d -m755 %buildroot%_javadocdir/%name
%__cp -a dist/docs/api/* %buildroot%_javadocdir/%name/

%__install -d -m755 %buildroot%pkgdocdir
%__install -p -m644 dist/LICENSE %buildroot%pkgdocdir/
%__install -p -m644 dist/RELEASE-NOTES.txt %buildroot%pkgdocdir/
%__install -p -m644 *.html %buildroot%pkgdocdir/
%__cp -a src/samples %buildroot%pkgdocdir/

%__mkdir_p %buildroot%_sbindir
%__install -p -m755 src/native/unix/jsvc %buildroot%_sbindir/

%files
%_javadir/*.jar
%dir %pkgdocdir
%pkgdocdir/LICENSE
%pkgdocdir/*.txt
%pkgdocdir/*.html

%files -n jsvc
%_sbindir/*

%files javadoc
%_javadocdir/%name

%files demo
%dir %pkgdocdir
%pkgdocdir/samples

%changelog
* Sat Dec 18 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt3
- Reverted the 1.0-alt2 package by Vladimir Lettiev
- Adapted to rpm-build-java
- Set default JVM location to /usr/lib/j2se [Patch0]

* Fri Aug 06 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt1
- 1.0 release
- Splintered off the jsvc package that has runtime dependencies
- More spec cleanup

* Fri Nov 28 2003 Alexey Borovskoy <alb@altlinux.ru> 1.0alpha-alt1
- First build for ALTLinux
- Spec cleanup

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 1:1.0-0.alpha.1jpp
- Update to 1.0 alpha, bump epoch.
- Non-versioned, crosslinked javadocs.
- Build native jsvc with "--with native".

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-5jpp
- fix ASF license

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-4jpp
- fix missing packager tag
- get latest nightly (20030227)
- fix ant lib location for javadoc
- added common-launcher jar

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp
- clean up spec

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp 
- 1.0 (cvs 20020606)
- added short names in %{_javadir}, as does jakarta developpers
- first jPackage release
